Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 447019 - clock does not obey System clock uses UTC setting
Summary: clock does not obey System clock uses UTC setting
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 438100 451175 (view as bug list)
Depends On:
Blocks: 451175
TreeView+ depends on / blocked
 
Reported: 2008-05-16 23:38 UTC by Michael Hampton
Modified: 2014-03-17 03:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-15 08:25:15 UTC


Attachments (Terms of Use)
patch for this issue (deleted)
2008-05-29 14:22 UTC, Bill Nottingham
no flags Details | Diff

Description Michael Hampton 2008-05-16 23:38:29 UTC
Description of problem:
IF the system BIOS uses local time instead of UTC (e.g. with a dual boot Windows
system) the clock is set to an incorrect time when Fedora boots.

Version-Release number of selected component (if applicable):
initscripts-8.76.1-1

How reproducible:
Always

Steps to Reproduce:
1. Set system BIOS clock to local time instead of UTC.
2. Uncheck "System clock uses UTC" in system-config-date.
3. Reboot.
  
Actual results:
System clock is several hours off, depending on the timezone setting in
/etc/localtime.

Expected results:
System clock should reflect the correct time.

Additional info:
Running "hwclock --hctosys" corrects the clock, as does re-running
system-config-date, but it is incorrect again at next boot.

This may be related to bug 443422.

Comment 1 Bill Nottingham 2008-05-19 20:25:59 UTC
What does your /etc/adjtime file look like?

Do you have any rtc devices in /sys/class/rtc?

Comment 2 Michael Hampton 2008-05-24 20:40:45 UTC
error@roam ~/Desktop $ cat /etc/adjtime 
-0.000794 1211654886 0.000000
1211654886
LOCAL
error@roam ~/Desktop $ cat /sys/class/rtc/rtc0/device/id
PNP0b00

Comment 3 Bill Nottingham 2008-05-27 15:04:44 UTC
Your configuration is wrong... the last line of /etc/adjtime needs to be UTC for
it to be treated as UTC. Is system-config-date not updating the file correctly?

Comment 4 Michael Hampton 2008-05-28 10:16:04 UTC
My system BIOS clock is set to LOCAL time, not UTC. (One of the hazards of dual
booting Windows.) But the system seems to be assuming UTC when I start it up, as
the Linux system clock comes up four hours behind the correct time.

Comment 5 Nils Philippsen 2008-05-28 12:47:18 UTC
It seems that s-c-date isn't pertinent to this bug. In that case, I'll pass it back.

Comment 6 Bill Nottingham 2008-05-28 13:58:43 UTC
Sorry, I misread the subject.

What happens (once it's booted 'wrong') if you do 'echo "add" >
/sys/class/rtc/rtc0/uevent') ?

Comment 7 Michael Hampton 2008-05-28 20:26:20 UTC
This is what happens:

error@roam ~ $ su -
Scan right index finger on UPEK TouchStrip
root@roam ~ # echo "add" > /sys/class/rtc/rtc0/uevent
root@roam ~ # echo $?
0
root@roam ~ # cat /sys/class/rtc/rtc0/uevent
MAJOR=254
MINOR=0
root@roam ~ # 

Though, I must admit, the system mysteriously is booting up with the correct
local time now, without having to manually correct the clock. Again, I have no
idea why, or what was wrong before, or why it works now. But, at least, it seems
to be working.

Comment 8 Bill Nottingham 2008-05-29 03:56:45 UTC
When it was failing, were you booting a significantly older kernel?

Comment 9 Michael Hampton 2008-05-29 11:14:55 UTC
Yes, I was booting my backup kernel from Fedora 8 (2.6.24.4-64.fc8) while I was
trying to work out an unrelated F9 kernel problem.

Comment 10 Bill Nottingham 2008-05-29 14:22:12 UTC
Created attachment 307073 [details]
patch for this issue

Ah, the F8 kernel isn't using the RTC class device, so it's hitting the old
compat code in the udev rule... which is broken.

Try the attached with a Fedora 8 kernel.

Comment 11 Bill Nottingham 2008-05-29 14:25:53 UTC
*** Bug 438100 has been marked as a duplicate of this bug. ***

Comment 12 Michael Hampton 2008-05-29 14:37:52 UTC
Bill, your patch 307073 seems to have fixed the problem; I booted up on
2.6.24.4-64.fc8 and the clock came up with the correct time. Thanks!

Comment 13 Fedora Update System 2008-08-29 17:14:59 UTC
initscripts-8.76.3-1 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/initscripts-8.76.3-1

Comment 14 Fedora Update System 2008-09-10 06:45:38 UTC
initscripts-8.76.3-1 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update initscripts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7667

Comment 15 Fedora Update System 2008-09-25 00:14:47 UTC
initscripts-8.76.3-1 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Artem S. Tashkinov 2008-10-11 22:31:31 UTC
*** Bug 451175 has been marked as a duplicate of this bug. ***

Comment 17 Bug Zapper 2009-06-10 00:55:06 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 18 Bug Zapper 2009-07-15 08:25:15 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.